Package org.apache.sling.event.impl.jobs

# Enum InternalJobState

java.lang.Object
java.lang.Enum<InternalJobState>
org.apache.sling.event.impl.jobs.InternalJobState

All Implemented Interfaces:
  `Serializable`, `Comparable<InternalJobState>`

public enum InternalJobState extends Enum<InternalJobState>
The state of the job after it has been processed by a `JobExecutor`.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CANCELLED`
`FAILED`
`SUCCEEDED`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTopic()`
`static InternalJobState`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static InternalJobState[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUCCEEDED

public static final InternalJobState SUCCEEDED

### FAILED

public static final InternalJobState FAILED

### CANCELLED

public static final InternalJobState CANCELLED

## Method Details

### values

public static InternalJobState[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static InternalJobState valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getTopic

public String getTopic()